# Class ForceFieldUFF

java.lang.Object
org.jmol.minimize.forcefield.ForceField
org.jmol.minimize.forcefield.ForceFieldUFF

public class ForceFieldUFF extends ForceField

## Field Summary

### Fields inherited from class ForceField

`ABI_IJ, ABI_JK, name, R3, R4, R5, Raromatic, TBI_AB, TBI_BC, TBI_CD`

## Constructor Summary

Constructors
Constructor
Description
`ForceFieldUFF(Minimizer minimizer, boolean isQuick)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`boolean`
`setModel(BS bsElements, int elemnoMax)`

### Methods inherited from class ForceField

`detectExplosion, energyFull, getAtomList, getBufferedReader, getCurrentStep, getEnergy, getEnergyDiff, getLogData, log, recalculateEnergy, setConstraints, setModelFields, setNth, steepestDescentInitialize, steepestDescentTakeNSteps, toUserUnits`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForceFieldUFF

public ForceFieldUFF(Minimizer minimizer, boolean isQuick)

## Method Details

### clear

public void clear()

Specified by:
  `clear` in class `ForceField`

### setModel

public boolean setModel(BS bsElements, int elemnoMax) throws JmolAsyncException

Specified by:
  `setModel` in class `ForceField`
Throws:
  `JmolAsyncException`